// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             v4.23.4
// source: phxservices/services/ios/v1/ios_service.proto

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	IOSProductService_GetProductMessaging_FullMethodName                   = "/phxservices.services.ios.v1.IOSProductService/GetProductMessaging"
	IOSProductService_GetProductDetails_FullMethodName                     = "/phxservices.services.ios.v1.IOSProductService/GetProductDetails"
	IOSProductService_GetStoreProductDetails_FullMethodName                = "/phxservices.services.ios.v1.IOSProductService/GetStoreProductDetails"
	IOSProductService_GetProductOrders_FullMethodName                      = "/phxservices.services.ios.v1.IOSProductService/GetProductOrders"
	IOSProductService_GetProductSalesHistory_FullMethodName                = "/phxservices.services.ios.v1.IOSProductService/GetProductSalesHistory"
	IOSProductService_GetProductSalesForecast_FullMethodName               = "/phxservices.services.ios.v1.IOSProductService/GetProductSalesForecast"
	IOSProductService_GetProductSearchResults_FullMethodName               = "/phxservices.services.ios.v1.IOSProductService/GetProductSearchResults"
	IOSProductService_GetStoreName_FullMethodName                          = "/phxservices.services.ios.v1.IOSProductService/GetStoreName"
	IOSProductService_GetStoreMap_FullMethodName                           = "/phxservices.services.ios.v1.IOSProductService/GetStoreMap"
	IOSProductService_GetUpcData_FullMethodName                            = "/phxservices.services.ios.v1.IOSProductService/GetUpcData"
	IOSProductService_GetUnitsOnHand_FullMethodName                        = "/phxservices.services.ios.v1.IOSProductService/GetUnitsOnHand"
	IOSProductService_UpdateUnitsOnHand_FullMethodName                     = "/phxservices.services.ios.v1.IOSProductService/UpdateUnitsOnHand"
	IOSProductService_ReportOrderingIssue_FullMethodName                   = "/phxservices.services.ios.v1.IOSProductService/ReportOrderingIssue"
	IOSProductService_GetDeliveryListForDayRange_FullMethodName            = "/phxservices.services.ios.v1.IOSProductService/GetDeliveryListForDayRange"
	IOSProductService_GetActiveOrder_FullMethodName                        = "/phxservices.services.ios.v1.IOSProductService/GetActiveOrder"
	IOSProductService_UpdateOrderQuantity_FullMethodName                   = "/phxservices.services.ios.v1.IOSProductService/UpdateOrderQuantity"
	IOSProductService_AddProductToWalk_FullMethodName                      = "/phxservices.services.ios.v1.IOSProductService/AddProductToWalk"
	IOSProductService_SetProductAsMSRWorked_FullMethodName                 = "/phxservices.services.ios.v1.IOSProductService/SetProductAsMSRWorked"
	IOSProductService_GetWarehouseStatus_FullMethodName                    = "/phxservices.services.ios.v1.IOSProductService/GetWarehouseStatus"
	IOSProductService_GetLikeItems_FullMethodName                          = "/phxservices.services.ios.v1.IOSProductService/GetLikeItems"
	IOSProductService_GetNearbyStores_FullMethodName                       = "/phxservices.services.ios.v1.IOSProductService/GetNearbyStores"
	IOSProductService_CreateTagBatchWithProduct_FullMethodName             = "/phxservices.services.ios.v1.IOSProductService/CreateTagBatchWithProduct"
	IOSProductService_CreateTagBatchWithProductByItemCode_FullMethodName   = "/phxservices.services.ios.v1.IOSProductService/CreateTagBatchWithProductByItemCode"
	IOSProductService_CreateTagBatchWithLocation_FullMethodName            = "/phxservices.services.ios.v1.IOSProductService/CreateTagBatchWithLocation"
	IOSProductService_AddProductToTagBatch_FullMethodName                  = "/phxservices.services.ios.v1.IOSProductService/AddProductToTagBatch"
	IOSProductService_AddProductToTagBatchByItemCode_FullMethodName        = "/phxservices.services.ios.v1.IOSProductService/AddProductToTagBatchByItemCode"
	IOSProductService_AddLocationToTagBatch_FullMethodName                 = "/phxservices.services.ios.v1.IOSProductService/AddLocationToTagBatch"
	IOSProductService_EditProductTag_FullMethodName                        = "/phxservices.services.ios.v1.IOSProductService/EditProductTag"
	IOSProductService_DeleteFromTagBatch_FullMethodName                    = "/phxservices.services.ios.v1.IOSProductService/DeleteFromTagBatch"
	IOSProductService_DeleteTagBatch_FullMethodName                        = "/phxservices.services.ios.v1.IOSProductService/DeleteTagBatch"
	IOSProductService_GetTagBatchForUser_FullMethodName                    = "/phxservices.services.ios.v1.IOSProductService/GetTagBatchForUser"
	IOSProductService_SubmitTagBatch_FullMethodName                        = "/phxservices.services.ios.v1.IOSProductService/SubmitTagBatch"
	IOSProductService_GetProductMarkdownDetails_FullMethodName             = "/phxservices.services.ios.v1.IOSProductService/GetProductMarkdownDetails"
	IOSProductService_RequestProductMarkdownFromProcurement_FullMethodName = "/phxservices.services.ios.v1.IOSProductService/RequestProductMarkdownFromProcurement"
	IOSProductService_PrintMarkdownLabel_FullMethodName                    = "/phxservices.services.ios.v1.IOSProductService/PrintMarkdownLabel"
	IOSProductService_PrintCurrentPriceLabel_FullMethodName                = "/phxservices.services.ios.v1.IOSProductService/PrintCurrentPriceLabel"
	IOSProductService_GetBulkStoreProductDetails_FullMethodName            = "/phxservices.services.ios.v1.IOSProductService/GetBulkStoreProductDetails"
)

// IOSProductServiceClient is the client API for IOSProductService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type IOSProductServiceClient interface {
	// buf:lint:ignore COMMENT_RPC
	GetProductMessaging(ctx context.Context, in *GetProductMessagingRequest, opts ...grpc.CallOption) (*GetProductMessagingResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductDetails(ctx context.Context, in *GetProductDetailsRequest, opts ...grpc.CallOption) (*GetProductDetailsResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetStoreProductDetails(ctx context.Context, in *GetStoreProductDetailsRequest, opts ...grpc.CallOption) (*GetStoreProductDetailsResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductOrders(ctx context.Context, in *GetProductOrdersRequest, opts ...grpc.CallOption) (*GetProductOrdersResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductSalesHistory(ctx context.Context, in *GetProductSalesHistoryRequest, opts ...grpc.CallOption) (*GetProductSalesHistoryResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductSalesForecast(ctx context.Context, in *GetProductSalesForecastRequest, opts ...grpc.CallOption) (*GetProductSalesForecastResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductSearchResults(ctx context.Context, in *GetProductSearchResultsRequest, opts ...grpc.CallOption) (*GetProductSearchResultsResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetStoreName(ctx context.Context, in *GetStoreNameRequest, opts ...grpc.CallOption) (*GetStoreNameResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetStoreMap(ctx context.Context, in *GetStoreMapRequest, opts ...grpc.CallOption) (*GetStoreMapResponse, error)
	// Get a breakdown of the details of a scanned barcode, such as the contained UPC, and possibly weight and price.
	//
	// Error Response Code:
	// InvalidArgument: The scan code either could not be parsed or contained invalid data.
	GetUpcData(ctx context.Context, in *GetUpcDataRequest, opts ...grpc.CallOption) (*GetUpcDataResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetUnitsOnHand(ctx context.Context, in *GetUnitsOnHandRequest, opts ...grpc.CallOption) (*GetUnitsOnHandResponse, error)
	// buf:lint:ignore COMMENT_RPC
	UpdateUnitsOnHand(ctx context.Context, in *UpdateUnitsOnHandRequest, opts ...grpc.CallOption) (*UpdateUnitsOnHandResponse, error)
	// buf:lint:ignore COMMENT_RPC
	ReportOrderingIssue(ctx context.Context, in *ReportOrderingIssueRequest, opts ...grpc.CallOption) (*ReportOrderingIssueResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetDeliveryListForDayRange(ctx context.Context, in *GetDeliveryListForDayRangeRequest, opts ...grpc.CallOption) (*GetDeliveryListForDayRangeResponse, error)
	// Get details of the active order for a product, if any, and some known shrink data, if any.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetActiveOrder(ctx context.Context, in *GetActiveOrderRequest, opts ...grpc.CallOption) (*GetActiveOrderResponse, error)
	// Update the order quantity for a given product in a pending order at a given store.
	//
	// Error Response Code:
	// NotFound: The given store or order could not be found.
	// FailedPrecondition: The order is not in the pending state (already confirmed).
	UpdateOrderQuantity(ctx context.Context, in *UpdateOrderQuantityRequest, opts ...grpc.CallOption) (*UpdateOrderQuantityResponse, error)
	// buf:lint:ignore COMMENT_RPC
	AddProductToWalk(ctx context.Context, in *AddProductToWalkRequest, opts ...grpc.CallOption) (*AddProductToWalkResponse, error)
	// buf:lint:ignore COMMENT_RPC
	SetProductAsMSRWorked(ctx context.Context, in *SetProductAsMSRWorkedRequest, opts ...grpc.CallOption) (*SetProductAsMSRWorkedResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetWarehouseStatus(ctx context.Context, in *GetWarehouseStatusRequest, opts ...grpc.CallOption) (*GetWarehouseStatusResponse, error)
	// Get a product's like items.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetLikeItems(ctx context.Context, in *GetLikeItemsRequest, opts ...grpc.CallOption) (*GetLikeItemsResponse, error)
	// Given a location and upc, return nearby stores and associated product info for each store
	GetNearbyStores(ctx context.Context, in *GetNearbyStoresRequest, opts ...grpc.CallOption) (*GetNearbyStoresResponse, error)
	// Create a new tag batch and retrieve initial product tag item using a UPC.
	//
	// Error Response Code:
	// NotFound: The product upc could not be found.
	// FailedPrecondition: The requesting user already has an active tag batch.
	CreateTagBatchWithProduct(ctx context.Context, in *CreateTagBatchWithProductRequest, opts ...grpc.CallOption) (*CreateTagBatchWithProductResponse, error)
	// Create a new tag batch and retrieve initial product tag item using an item code. The server will look up the
	// primary UPC of the provided item code; if you would like to persist a specific UPC please use
	// CreateTagBatchWithProduct with the chosen UPC.
	//
	// Error Response Code:
	// NotFound: The product item code could not be found.
	// FailedPrecondition: The requesting user already has an active tag batch.
	CreateTagBatchWithProductByItemCode(ctx context.Context, in *CreateTagBatchWithProductByItemCodeRequest, opts ...grpc.CallOption) (*CreateTagBatchWithProductByItemCodeResponse, error)
	// Create a new tag batch and retrieve initial section location tag item.
	//
	// Error Response Code:
	// FailedPrecondition: The requesting user already has an active tag batch.
	// FailedPrecondition: The section location has no products.
	CreateTagBatchWithLocation(ctx context.Context, in *CreateTagBatchWithLocationRequest, opts ...grpc.CallOption) (*CreateTagBatchWithLocationResponse, error)
	// Add a product to a tag batch using a UPC.
	//
	// Error Response Code:
	// NotFound: The product upc could not be found. The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	AddProductToTagBatch(ctx context.Context, in *AddProductToTagBatchRequest, opts ...grpc.CallOption) (*AddProductToTagBatchResponse, error)
	// Add a product to a tag batch by supplying an item code. The server will look up the primary UPC of the provided
	// item code; if you would like to persist a specific UPC please use AddProductToTagBatch with the chosen UPC
	//
	// Error Response Code:
	// NotFound: The product item code could not be found. The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	AddProductToTagBatchByItemCode(ctx context.Context, in *AddProductToTagBatchByItemCodeRequest, opts ...grpc.CallOption) (*AddProductToTagBatchByItemCodeResponse, error)
	// Add a location to a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch could not be found. The section location could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	AddLocationToTagBatch(ctx context.Context, in *AddLocationToTagBatchRequest, opts ...grpc.CallOption) (*AddLocationToTagBatchResponse, error)
	// Edit a product tag.
	//
	// Error Response Code:
	// InvalidArgument: Quantity is less that 1. Tag type is Unspecified.
	// NotFound: The tag batch or tag batch item could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	EditProductTag(ctx context.Context, in *EditProductTagRequest, opts ...grpc.CallOption) (*EditProductTagResponse, error)
	// Delete a tag from a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch or tag batch item could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	DeleteFromTagBatch(ctx context.Context, in *DeleteFromTagBatchRequest, opts ...grpc.CallOption) (*DeleteFromTagBatchResponse, error)
	// Delete a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	DeleteTagBatch(ctx context.Context, in *DeleteTagBatchRequest, opts ...grpc.CallOption) (*DeleteTagBatchResponse, error)
	// Get a users active tag batch.
	//
	// Error Response Code:
	// NotFound: The requesting user has no active tag batch.
	GetTagBatchForUser(ctx context.Context, in *GetTagBatchForUserRequest, opts ...grpc.CallOption) (*GetTagBatchForUserResponse, error)
	// Submit a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	SubmitTagBatch(ctx context.Context, in *SubmitTagBatchRequest, opts ...grpc.CallOption) (*SubmitTagBatchResponse, error)
	// Get a product's markdown details.
	//
	// Error Response Code:
	// NotFound: The store location was not found.
	GetProductMarkdownDetails(ctx context.Context, in *GetProductMarkdownDetailsRequest, opts ...grpc.CallOption) (*GetProductMarkdownDetailsResponse, error)
	// Request markdown from procurement.
	RequestProductMarkdownFromProcurement(ctx context.Context, in *RequestProductMarkdownFromProcurementRequest, opts ...grpc.CallOption) (*RequestProductMarkdownFromProcurementResponse, error)
	// Print a markdown label.
	PrintMarkdownLabel(ctx context.Context, in *PrintMarkdownLabelRequest, opts ...grpc.CallOption) (*PrintMarkdownLabelResponse, error)
	// Print a current price label.
	PrintCurrentPriceLabel(ctx context.Context, in *PrintCurrentPriceLabelRequest, opts ...grpc.CallOption) (*PrintCurrentPriceLabelResponse, error)
	// Get plentiful details about a list of products at a store, suitable for a list view.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetBulkStoreProductDetails(ctx context.Context, in *GetBulkStoreProductDetailsRequest, opts ...grpc.CallOption) (*GetBulkStoreProductDetailsResponse, error)
}

type iOSProductServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewIOSProductServiceClient(cc grpc.ClientConnInterface) IOSProductServiceClient {
	return &iOSProductServiceClient{cc}
}

func (c *iOSProductServiceClient) GetProductMessaging(ctx context.Context, in *GetProductMessagingRequest, opts ...grpc.CallOption) (*GetProductMessagingResponse, error) {
	out := new(GetProductMessagingResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductMessaging_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetProductDetails(ctx context.Context, in *GetProductDetailsRequest, opts ...grpc.CallOption) (*GetProductDetailsResponse, error) {
	out := new(GetProductDetailsResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductDetails_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetStoreProductDetails(ctx context.Context, in *GetStoreProductDetailsRequest, opts ...grpc.CallOption) (*GetStoreProductDetailsResponse, error) {
	out := new(GetStoreProductDetailsResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetStoreProductDetails_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetProductOrders(ctx context.Context, in *GetProductOrdersRequest, opts ...grpc.CallOption) (*GetProductOrdersResponse, error) {
	out := new(GetProductOrdersResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductOrders_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetProductSalesHistory(ctx context.Context, in *GetProductSalesHistoryRequest, opts ...grpc.CallOption) (*GetProductSalesHistoryResponse, error) {
	out := new(GetProductSalesHistoryResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductSalesHistory_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetProductSalesForecast(ctx context.Context, in *GetProductSalesForecastRequest, opts ...grpc.CallOption) (*GetProductSalesForecastResponse, error) {
	out := new(GetProductSalesForecastResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductSalesForecast_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetProductSearchResults(ctx context.Context, in *GetProductSearchResultsRequest, opts ...grpc.CallOption) (*GetProductSearchResultsResponse, error) {
	out := new(GetProductSearchResultsResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductSearchResults_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetStoreName(ctx context.Context, in *GetStoreNameRequest, opts ...grpc.CallOption) (*GetStoreNameResponse, error) {
	out := new(GetStoreNameResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetStoreName_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetStoreMap(ctx context.Context, in *GetStoreMapRequest, opts ...grpc.CallOption) (*GetStoreMapResponse, error) {
	out := new(GetStoreMapResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetStoreMap_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetUpcData(ctx context.Context, in *GetUpcDataRequest, opts ...grpc.CallOption) (*GetUpcDataResponse, error) {
	out := new(GetUpcDataResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetUpcData_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetUnitsOnHand(ctx context.Context, in *GetUnitsOnHandRequest, opts ...grpc.CallOption) (*GetUnitsOnHandResponse, error) {
	out := new(GetUnitsOnHandResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetUnitsOnHand_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) UpdateUnitsOnHand(ctx context.Context, in *UpdateUnitsOnHandRequest, opts ...grpc.CallOption) (*UpdateUnitsOnHandResponse, error) {
	out := new(UpdateUnitsOnHandResponse)
	err := c.cc.Invoke(ctx, IOSProductService_UpdateUnitsOnHand_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) ReportOrderingIssue(ctx context.Context, in *ReportOrderingIssueRequest, opts ...grpc.CallOption) (*ReportOrderingIssueResponse, error) {
	out := new(ReportOrderingIssueResponse)
	err := c.cc.Invoke(ctx, IOSProductService_ReportOrderingIssue_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetDeliveryListForDayRange(ctx context.Context, in *GetDeliveryListForDayRangeRequest, opts ...grpc.CallOption) (*GetDeliveryListForDayRangeResponse, error) {
	out := new(GetDeliveryListForDayRangeResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetDeliveryListForDayRange_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetActiveOrder(ctx context.Context, in *GetActiveOrderRequest, opts ...grpc.CallOption) (*GetActiveOrderResponse, error) {
	out := new(GetActiveOrderResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetActiveOrder_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) UpdateOrderQuantity(ctx context.Context, in *UpdateOrderQuantityRequest, opts ...grpc.CallOption) (*UpdateOrderQuantityResponse, error) {
	out := new(UpdateOrderQuantityResponse)
	err := c.cc.Invoke(ctx, IOSProductService_UpdateOrderQuantity_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) AddProductToWalk(ctx context.Context, in *AddProductToWalkRequest, opts ...grpc.CallOption) (*AddProductToWalkResponse, error) {
	out := new(AddProductToWalkResponse)
	err := c.cc.Invoke(ctx, IOSProductService_AddProductToWalk_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) SetProductAsMSRWorked(ctx context.Context, in *SetProductAsMSRWorkedRequest, opts ...grpc.CallOption) (*SetProductAsMSRWorkedResponse, error) {
	out := new(SetProductAsMSRWorkedResponse)
	err := c.cc.Invoke(ctx, IOSProductService_SetProductAsMSRWorked_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetWarehouseStatus(ctx context.Context, in *GetWarehouseStatusRequest, opts ...grpc.CallOption) (*GetWarehouseStatusResponse, error) {
	out := new(GetWarehouseStatusResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetWarehouseStatus_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetLikeItems(ctx context.Context, in *GetLikeItemsRequest, opts ...grpc.CallOption) (*GetLikeItemsResponse, error) {
	out := new(GetLikeItemsResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetLikeItems_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetNearbyStores(ctx context.Context, in *GetNearbyStoresRequest, opts ...grpc.CallOption) (*GetNearbyStoresResponse, error) {
	out := new(GetNearbyStoresResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetNearbyStores_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) CreateTagBatchWithProduct(ctx context.Context, in *CreateTagBatchWithProductRequest, opts ...grpc.CallOption) (*CreateTagBatchWithProductResponse, error) {
	out := new(CreateTagBatchWithProductResponse)
	err := c.cc.Invoke(ctx, IOSProductService_CreateTagBatchWithProduct_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) CreateTagBatchWithProductByItemCode(ctx context.Context, in *CreateTagBatchWithProductByItemCodeRequest, opts ...grpc.CallOption) (*CreateTagBatchWithProductByItemCodeResponse, error) {
	out := new(CreateTagBatchWithProductByItemCodeResponse)
	err := c.cc.Invoke(ctx, IOSProductService_CreateTagBatchWithProductByItemCode_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) CreateTagBatchWithLocation(ctx context.Context, in *CreateTagBatchWithLocationRequest, opts ...grpc.CallOption) (*CreateTagBatchWithLocationResponse, error) {
	out := new(CreateTagBatchWithLocationResponse)
	err := c.cc.Invoke(ctx, IOSProductService_CreateTagBatchWithLocation_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) AddProductToTagBatch(ctx context.Context, in *AddProductToTagBatchRequest, opts ...grpc.CallOption) (*AddProductToTagBatchResponse, error) {
	out := new(AddProductToTagBatchResponse)
	err := c.cc.Invoke(ctx, IOSProductService_AddProductToTagBatch_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) AddProductToTagBatchByItemCode(ctx context.Context, in *AddProductToTagBatchByItemCodeRequest, opts ...grpc.CallOption) (*AddProductToTagBatchByItemCodeResponse, error) {
	out := new(AddProductToTagBatchByItemCodeResponse)
	err := c.cc.Invoke(ctx, IOSProductService_AddProductToTagBatchByItemCode_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) AddLocationToTagBatch(ctx context.Context, in *AddLocationToTagBatchRequest, opts ...grpc.CallOption) (*AddLocationToTagBatchResponse, error) {
	out := new(AddLocationToTagBatchResponse)
	err := c.cc.Invoke(ctx, IOSProductService_AddLocationToTagBatch_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) EditProductTag(ctx context.Context, in *EditProductTagRequest, opts ...grpc.CallOption) (*EditProductTagResponse, error) {
	out := new(EditProductTagResponse)
	err := c.cc.Invoke(ctx, IOSProductService_EditProductTag_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) DeleteFromTagBatch(ctx context.Context, in *DeleteFromTagBatchRequest, opts ...grpc.CallOption) (*DeleteFromTagBatchResponse, error) {
	out := new(DeleteFromTagBatchResponse)
	err := c.cc.Invoke(ctx, IOSProductService_DeleteFromTagBatch_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) DeleteTagBatch(ctx context.Context, in *DeleteTagBatchRequest, opts ...grpc.CallOption) (*DeleteTagBatchResponse, error) {
	out := new(DeleteTagBatchResponse)
	err := c.cc.Invoke(ctx, IOSProductService_DeleteTagBatch_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetTagBatchForUser(ctx context.Context, in *GetTagBatchForUserRequest, opts ...grpc.CallOption) (*GetTagBatchForUserResponse, error) {
	out := new(GetTagBatchForUserResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetTagBatchForUser_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) SubmitTagBatch(ctx context.Context, in *SubmitTagBatchRequest, opts ...grpc.CallOption) (*SubmitTagBatchResponse, error) {
	out := new(SubmitTagBatchResponse)
	err := c.cc.Invoke(ctx, IOSProductService_SubmitTagBatch_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetProductMarkdownDetails(ctx context.Context, in *GetProductMarkdownDetailsRequest, opts ...grpc.CallOption) (*GetProductMarkdownDetailsResponse, error) {
	out := new(GetProductMarkdownDetailsResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetProductMarkdownDetails_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) RequestProductMarkdownFromProcurement(ctx context.Context, in *RequestProductMarkdownFromProcurementRequest, opts ...grpc.CallOption) (*RequestProductMarkdownFromProcurementResponse, error) {
	out := new(RequestProductMarkdownFromProcurementResponse)
	err := c.cc.Invoke(ctx, IOSProductService_RequestProductMarkdownFromProcurement_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) PrintMarkdownLabel(ctx context.Context, in *PrintMarkdownLabelRequest, opts ...grpc.CallOption) (*PrintMarkdownLabelResponse, error) {
	out := new(PrintMarkdownLabelResponse)
	err := c.cc.Invoke(ctx, IOSProductService_PrintMarkdownLabel_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) PrintCurrentPriceLabel(ctx context.Context, in *PrintCurrentPriceLabelRequest, opts ...grpc.CallOption) (*PrintCurrentPriceLabelResponse, error) {
	out := new(PrintCurrentPriceLabelResponse)
	err := c.cc.Invoke(ctx, IOSProductService_PrintCurrentPriceLabel_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSProductServiceClient) GetBulkStoreProductDetails(ctx context.Context, in *GetBulkStoreProductDetailsRequest, opts ...grpc.CallOption) (*GetBulkStoreProductDetailsResponse, error) {
	out := new(GetBulkStoreProductDetailsResponse)
	err := c.cc.Invoke(ctx, IOSProductService_GetBulkStoreProductDetails_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IOSProductServiceServer is the server API for IOSProductService service.
// All implementations must embed UnimplementedIOSProductServiceServer
// for forward compatibility
type IOSProductServiceServer interface {
	// buf:lint:ignore COMMENT_RPC
	GetProductMessaging(context.Context, *GetProductMessagingRequest) (*GetProductMessagingResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductDetails(context.Context, *GetProductDetailsRequest) (*GetProductDetailsResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetStoreProductDetails(context.Context, *GetStoreProductDetailsRequest) (*GetStoreProductDetailsResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductOrders(context.Context, *GetProductOrdersRequest) (*GetProductOrdersResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductSalesHistory(context.Context, *GetProductSalesHistoryRequest) (*GetProductSalesHistoryResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductSalesForecast(context.Context, *GetProductSalesForecastRequest) (*GetProductSalesForecastResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetProductSearchResults(context.Context, *GetProductSearchResultsRequest) (*GetProductSearchResultsResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetStoreName(context.Context, *GetStoreNameRequest) (*GetStoreNameResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetStoreMap(context.Context, *GetStoreMapRequest) (*GetStoreMapResponse, error)
	// Get a breakdown of the details of a scanned barcode, such as the contained UPC, and possibly weight and price.
	//
	// Error Response Code:
	// InvalidArgument: The scan code either could not be parsed or contained invalid data.
	GetUpcData(context.Context, *GetUpcDataRequest) (*GetUpcDataResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetUnitsOnHand(context.Context, *GetUnitsOnHandRequest) (*GetUnitsOnHandResponse, error)
	// buf:lint:ignore COMMENT_RPC
	UpdateUnitsOnHand(context.Context, *UpdateUnitsOnHandRequest) (*UpdateUnitsOnHandResponse, error)
	// buf:lint:ignore COMMENT_RPC
	ReportOrderingIssue(context.Context, *ReportOrderingIssueRequest) (*ReportOrderingIssueResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetDeliveryListForDayRange(context.Context, *GetDeliveryListForDayRangeRequest) (*GetDeliveryListForDayRangeResponse, error)
	// Get details of the active order for a product, if any, and some known shrink data, if any.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetActiveOrder(context.Context, *GetActiveOrderRequest) (*GetActiveOrderResponse, error)
	// Update the order quantity for a given product in a pending order at a given store.
	//
	// Error Response Code:
	// NotFound: The given store or order could not be found.
	// FailedPrecondition: The order is not in the pending state (already confirmed).
	UpdateOrderQuantity(context.Context, *UpdateOrderQuantityRequest) (*UpdateOrderQuantityResponse, error)
	// buf:lint:ignore COMMENT_RPC
	AddProductToWalk(context.Context, *AddProductToWalkRequest) (*AddProductToWalkResponse, error)
	// buf:lint:ignore COMMENT_RPC
	SetProductAsMSRWorked(context.Context, *SetProductAsMSRWorkedRequest) (*SetProductAsMSRWorkedResponse, error)
	// buf:lint:ignore COMMENT_RPC
	GetWarehouseStatus(context.Context, *GetWarehouseStatusRequest) (*GetWarehouseStatusResponse, error)
	// Get a product's like items.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetLikeItems(context.Context, *GetLikeItemsRequest) (*GetLikeItemsResponse, error)
	// Given a location and upc, return nearby stores and associated product info for each store
	GetNearbyStores(context.Context, *GetNearbyStoresRequest) (*GetNearbyStoresResponse, error)
	// Create a new tag batch and retrieve initial product tag item using a UPC.
	//
	// Error Response Code:
	// NotFound: The product upc could not be found.
	// FailedPrecondition: The requesting user already has an active tag batch.
	CreateTagBatchWithProduct(context.Context, *CreateTagBatchWithProductRequest) (*CreateTagBatchWithProductResponse, error)
	// Create a new tag batch and retrieve initial product tag item using an item code. The server will look up the
	// primary UPC of the provided item code; if you would like to persist a specific UPC please use
	// CreateTagBatchWithProduct with the chosen UPC.
	//
	// Error Response Code:
	// NotFound: The product item code could not be found.
	// FailedPrecondition: The requesting user already has an active tag batch.
	CreateTagBatchWithProductByItemCode(context.Context, *CreateTagBatchWithProductByItemCodeRequest) (*CreateTagBatchWithProductByItemCodeResponse, error)
	// Create a new tag batch and retrieve initial section location tag item.
	//
	// Error Response Code:
	// FailedPrecondition: The requesting user already has an active tag batch.
	// FailedPrecondition: The section location has no products.
	CreateTagBatchWithLocation(context.Context, *CreateTagBatchWithLocationRequest) (*CreateTagBatchWithLocationResponse, error)
	// Add a product to a tag batch using a UPC.
	//
	// Error Response Code:
	// NotFound: The product upc could not be found. The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	AddProductToTagBatch(context.Context, *AddProductToTagBatchRequest) (*AddProductToTagBatchResponse, error)
	// Add a product to a tag batch by supplying an item code. The server will look up the primary UPC of the provided
	// item code; if you would like to persist a specific UPC please use AddProductToTagBatch with the chosen UPC
	//
	// Error Response Code:
	// NotFound: The product item code could not be found. The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	AddProductToTagBatchByItemCode(context.Context, *AddProductToTagBatchByItemCodeRequest) (*AddProductToTagBatchByItemCodeResponse, error)
	// Add a location to a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch could not be found. The section location could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	AddLocationToTagBatch(context.Context, *AddLocationToTagBatchRequest) (*AddLocationToTagBatchResponse, error)
	// Edit a product tag.
	//
	// Error Response Code:
	// InvalidArgument: Quantity is less that 1. Tag type is Unspecified.
	// NotFound: The tag batch or tag batch item could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	EditProductTag(context.Context, *EditProductTagRequest) (*EditProductTagResponse, error)
	// Delete a tag from a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch or tag batch item could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	DeleteFromTagBatch(context.Context, *DeleteFromTagBatchRequest) (*DeleteFromTagBatchResponse, error)
	// Delete a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	DeleteTagBatch(context.Context, *DeleteTagBatchRequest) (*DeleteTagBatchResponse, error)
	// Get a users active tag batch.
	//
	// Error Response Code:
	// NotFound: The requesting user has no active tag batch.
	GetTagBatchForUser(context.Context, *GetTagBatchForUserRequest) (*GetTagBatchForUserResponse, error)
	// Submit a tag batch.
	//
	// Error Response Code:
	// NotFound: The tag batch could not be found.
	// FailedPrecondition: The tag batch is no longer active.
	SubmitTagBatch(context.Context, *SubmitTagBatchRequest) (*SubmitTagBatchResponse, error)
	// Get a product's markdown details.
	//
	// Error Response Code:
	// NotFound: The store location was not found.
	GetProductMarkdownDetails(context.Context, *GetProductMarkdownDetailsRequest) (*GetProductMarkdownDetailsResponse, error)
	// Request markdown from procurement.
	RequestProductMarkdownFromProcurement(context.Context, *RequestProductMarkdownFromProcurementRequest) (*RequestProductMarkdownFromProcurementResponse, error)
	// Print a markdown label.
	PrintMarkdownLabel(context.Context, *PrintMarkdownLabelRequest) (*PrintMarkdownLabelResponse, error)
	// Print a current price label.
	PrintCurrentPriceLabel(context.Context, *PrintCurrentPriceLabelRequest) (*PrintCurrentPriceLabelResponse, error)
	// Get plentiful details about a list of products at a store, suitable for a list view.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetBulkStoreProductDetails(context.Context, *GetBulkStoreProductDetailsRequest) (*GetBulkStoreProductDetailsResponse, error)
	mustEmbedUnimplementedIOSProductServiceServer()
}

// UnimplementedIOSProductServiceServer must be embedded to have forward compatible implementations.
type UnimplementedIOSProductServiceServer struct {
}

func (UnimplementedIOSProductServiceServer) GetProductMessaging(context.Context, *GetProductMessagingRequest) (*GetProductMessagingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductMessaging not implemented")
}
func (UnimplementedIOSProductServiceServer) GetProductDetails(context.Context, *GetProductDetailsRequest) (*GetProductDetailsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductDetails not implemented")
}
func (UnimplementedIOSProductServiceServer) GetStoreProductDetails(context.Context, *GetStoreProductDetailsRequest) (*GetStoreProductDetailsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreProductDetails not implemented")
}
func (UnimplementedIOSProductServiceServer) GetProductOrders(context.Context, *GetProductOrdersRequest) (*GetProductOrdersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductOrders not implemented")
}
func (UnimplementedIOSProductServiceServer) GetProductSalesHistory(context.Context, *GetProductSalesHistoryRequest) (*GetProductSalesHistoryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductSalesHistory not implemented")
}
func (UnimplementedIOSProductServiceServer) GetProductSalesForecast(context.Context, *GetProductSalesForecastRequest) (*GetProductSalesForecastResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductSalesForecast not implemented")
}
func (UnimplementedIOSProductServiceServer) GetProductSearchResults(context.Context, *GetProductSearchResultsRequest) (*GetProductSearchResultsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductSearchResults not implemented")
}
func (UnimplementedIOSProductServiceServer) GetStoreName(context.Context, *GetStoreNameRequest) (*GetStoreNameResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreName not implemented")
}
func (UnimplementedIOSProductServiceServer) GetStoreMap(context.Context, *GetStoreMapRequest) (*GetStoreMapResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreMap not implemented")
}
func (UnimplementedIOSProductServiceServer) GetUpcData(context.Context, *GetUpcDataRequest) (*GetUpcDataResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUpcData not implemented")
}
func (UnimplementedIOSProductServiceServer) GetUnitsOnHand(context.Context, *GetUnitsOnHandRequest) (*GetUnitsOnHandResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUnitsOnHand not implemented")
}
func (UnimplementedIOSProductServiceServer) UpdateUnitsOnHand(context.Context, *UpdateUnitsOnHandRequest) (*UpdateUnitsOnHandResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUnitsOnHand not implemented")
}
func (UnimplementedIOSProductServiceServer) ReportOrderingIssue(context.Context, *ReportOrderingIssueRequest) (*ReportOrderingIssueResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ReportOrderingIssue not implemented")
}
func (UnimplementedIOSProductServiceServer) GetDeliveryListForDayRange(context.Context, *GetDeliveryListForDayRangeRequest) (*GetDeliveryListForDayRangeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDeliveryListForDayRange not implemented")
}
func (UnimplementedIOSProductServiceServer) GetActiveOrder(context.Context, *GetActiveOrderRequest) (*GetActiveOrderResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetActiveOrder not implemented")
}
func (UnimplementedIOSProductServiceServer) UpdateOrderQuantity(context.Context, *UpdateOrderQuantityRequest) (*UpdateOrderQuantityResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateOrderQuantity not implemented")
}
func (UnimplementedIOSProductServiceServer) AddProductToWalk(context.Context, *AddProductToWalkRequest) (*AddProductToWalkResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddProductToWalk not implemented")
}
func (UnimplementedIOSProductServiceServer) SetProductAsMSRWorked(context.Context, *SetProductAsMSRWorkedRequest) (*SetProductAsMSRWorkedResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetProductAsMSRWorked not implemented")
}
func (UnimplementedIOSProductServiceServer) GetWarehouseStatus(context.Context, *GetWarehouseStatusRequest) (*GetWarehouseStatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetWarehouseStatus not implemented")
}
func (UnimplementedIOSProductServiceServer) GetLikeItems(context.Context, *GetLikeItemsRequest) (*GetLikeItemsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetLikeItems not implemented")
}
func (UnimplementedIOSProductServiceServer) GetNearbyStores(context.Context, *GetNearbyStoresRequest) (*GetNearbyStoresResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNearbyStores not implemented")
}
func (UnimplementedIOSProductServiceServer) CreateTagBatchWithProduct(context.Context, *CreateTagBatchWithProductRequest) (*CreateTagBatchWithProductResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateTagBatchWithProduct not implemented")
}
func (UnimplementedIOSProductServiceServer) CreateTagBatchWithProductByItemCode(context.Context, *CreateTagBatchWithProductByItemCodeRequest) (*CreateTagBatchWithProductByItemCodeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateTagBatchWithProductByItemCode not implemented")
}
func (UnimplementedIOSProductServiceServer) CreateTagBatchWithLocation(context.Context, *CreateTagBatchWithLocationRequest) (*CreateTagBatchWithLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateTagBatchWithLocation not implemented")
}
func (UnimplementedIOSProductServiceServer) AddProductToTagBatch(context.Context, *AddProductToTagBatchRequest) (*AddProductToTagBatchResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddProductToTagBatch not implemented")
}
func (UnimplementedIOSProductServiceServer) AddProductToTagBatchByItemCode(context.Context, *AddProductToTagBatchByItemCodeRequest) (*AddProductToTagBatchByItemCodeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddProductToTagBatchByItemCode not implemented")
}
func (UnimplementedIOSProductServiceServer) AddLocationToTagBatch(context.Context, *AddLocationToTagBatchRequest) (*AddLocationToTagBatchResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddLocationToTagBatch not implemented")
}
func (UnimplementedIOSProductServiceServer) EditProductTag(context.Context, *EditProductTagRequest) (*EditProductTagResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EditProductTag not implemented")
}
func (UnimplementedIOSProductServiceServer) DeleteFromTagBatch(context.Context, *DeleteFromTagBatchRequest) (*DeleteFromTagBatchResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteFromTagBatch not implemented")
}
func (UnimplementedIOSProductServiceServer) DeleteTagBatch(context.Context, *DeleteTagBatchRequest) (*DeleteTagBatchResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTagBatch not implemented")
}
func (UnimplementedIOSProductServiceServer) GetTagBatchForUser(context.Context, *GetTagBatchForUserRequest) (*GetTagBatchForUserResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTagBatchForUser not implemented")
}
func (UnimplementedIOSProductServiceServer) SubmitTagBatch(context.Context, *SubmitTagBatchRequest) (*SubmitTagBatchResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SubmitTagBatch not implemented")
}
func (UnimplementedIOSProductServiceServer) GetProductMarkdownDetails(context.Context, *GetProductMarkdownDetailsRequest) (*GetProductMarkdownDetailsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProductMarkdownDetails not implemented")
}
func (UnimplementedIOSProductServiceServer) RequestProductMarkdownFromProcurement(context.Context, *RequestProductMarkdownFromProcurementRequest) (*RequestProductMarkdownFromProcurementResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RequestProductMarkdownFromProcurement not implemented")
}
func (UnimplementedIOSProductServiceServer) PrintMarkdownLabel(context.Context, *PrintMarkdownLabelRequest) (*PrintMarkdownLabelResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PrintMarkdownLabel not implemented")
}
func (UnimplementedIOSProductServiceServer) PrintCurrentPriceLabel(context.Context, *PrintCurrentPriceLabelRequest) (*PrintCurrentPriceLabelResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PrintCurrentPriceLabel not implemented")
}
func (UnimplementedIOSProductServiceServer) GetBulkStoreProductDetails(context.Context, *GetBulkStoreProductDetailsRequest) (*GetBulkStoreProductDetailsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBulkStoreProductDetails not implemented")
}
func (UnimplementedIOSProductServiceServer) mustEmbedUnimplementedIOSProductServiceServer() {}

// UnsafeIOSProductServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to IOSProductServiceServer will
// result in compilation errors.
type UnsafeIOSProductServiceServer interface {
	mustEmbedUnimplementedIOSProductServiceServer()
}

func RegisterIOSProductServiceServer(s grpc.ServiceRegistrar, srv IOSProductServiceServer) {
	s.RegisterService(&IOSProductService_ServiceDesc, srv)
}

func _IOSProductService_GetProductMessaging_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductMessagingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductMessaging(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductMessaging_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductMessaging(ctx, req.(*GetProductMessagingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetProductDetails_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductDetailsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductDetails(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductDetails_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductDetails(ctx, req.(*GetProductDetailsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetStoreProductDetails_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreProductDetailsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetStoreProductDetails(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetStoreProductDetails_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetStoreProductDetails(ctx, req.(*GetStoreProductDetailsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetProductOrders_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductOrdersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductOrders(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductOrders_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductOrders(ctx, req.(*GetProductOrdersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetProductSalesHistory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductSalesHistoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductSalesHistory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductSalesHistory_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductSalesHistory(ctx, req.(*GetProductSalesHistoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetProductSalesForecast_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductSalesForecastRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductSalesForecast(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductSalesForecast_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductSalesForecast(ctx, req.(*GetProductSalesForecastRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetProductSearchResults_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductSearchResultsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductSearchResults(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductSearchResults_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductSearchResults(ctx, req.(*GetProductSearchResultsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetStoreName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreNameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetStoreName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetStoreName_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetStoreName(ctx, req.(*GetStoreNameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetStoreMap_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreMapRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetStoreMap(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetStoreMap_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetStoreMap(ctx, req.(*GetStoreMapRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetUpcData_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUpcDataRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetUpcData(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetUpcData_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetUpcData(ctx, req.(*GetUpcDataRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetUnitsOnHand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUnitsOnHandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetUnitsOnHand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetUnitsOnHand_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetUnitsOnHand(ctx, req.(*GetUnitsOnHandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_UpdateUnitsOnHand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUnitsOnHandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).UpdateUnitsOnHand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_UpdateUnitsOnHand_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).UpdateUnitsOnHand(ctx, req.(*UpdateUnitsOnHandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_ReportOrderingIssue_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ReportOrderingIssueRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).ReportOrderingIssue(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_ReportOrderingIssue_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).ReportOrderingIssue(ctx, req.(*ReportOrderingIssueRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetDeliveryListForDayRange_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetDeliveryListForDayRangeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetDeliveryListForDayRange(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetDeliveryListForDayRange_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetDeliveryListForDayRange(ctx, req.(*GetDeliveryListForDayRangeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetActiveOrder_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetActiveOrderRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetActiveOrder(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetActiveOrder_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetActiveOrder(ctx, req.(*GetActiveOrderRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_UpdateOrderQuantity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateOrderQuantityRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).UpdateOrderQuantity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_UpdateOrderQuantity_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).UpdateOrderQuantity(ctx, req.(*UpdateOrderQuantityRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_AddProductToWalk_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddProductToWalkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).AddProductToWalk(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_AddProductToWalk_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).AddProductToWalk(ctx, req.(*AddProductToWalkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_SetProductAsMSRWorked_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetProductAsMSRWorkedRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).SetProductAsMSRWorked(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_SetProductAsMSRWorked_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).SetProductAsMSRWorked(ctx, req.(*SetProductAsMSRWorkedRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetWarehouseStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetWarehouseStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetWarehouseStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetWarehouseStatus_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetWarehouseStatus(ctx, req.(*GetWarehouseStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetLikeItems_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetLikeItemsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetLikeItems(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetLikeItems_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetLikeItems(ctx, req.(*GetLikeItemsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetNearbyStores_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNearbyStoresRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetNearbyStores(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetNearbyStores_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetNearbyStores(ctx, req.(*GetNearbyStoresRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_CreateTagBatchWithProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTagBatchWithProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).CreateTagBatchWithProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_CreateTagBatchWithProduct_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).CreateTagBatchWithProduct(ctx, req.(*CreateTagBatchWithProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_CreateTagBatchWithProductByItemCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTagBatchWithProductByItemCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).CreateTagBatchWithProductByItemCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_CreateTagBatchWithProductByItemCode_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).CreateTagBatchWithProductByItemCode(ctx, req.(*CreateTagBatchWithProductByItemCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_CreateTagBatchWithLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTagBatchWithLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).CreateTagBatchWithLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_CreateTagBatchWithLocation_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).CreateTagBatchWithLocation(ctx, req.(*CreateTagBatchWithLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_AddProductToTagBatch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddProductToTagBatchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).AddProductToTagBatch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_AddProductToTagBatch_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).AddProductToTagBatch(ctx, req.(*AddProductToTagBatchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_AddProductToTagBatchByItemCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddProductToTagBatchByItemCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).AddProductToTagBatchByItemCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_AddProductToTagBatchByItemCode_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).AddProductToTagBatchByItemCode(ctx, req.(*AddProductToTagBatchByItemCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_AddLocationToTagBatch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddLocationToTagBatchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).AddLocationToTagBatch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_AddLocationToTagBatch_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).AddLocationToTagBatch(ctx, req.(*AddLocationToTagBatchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_EditProductTag_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EditProductTagRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).EditProductTag(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_EditProductTag_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).EditProductTag(ctx, req.(*EditProductTagRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_DeleteFromTagBatch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteFromTagBatchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).DeleteFromTagBatch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_DeleteFromTagBatch_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).DeleteFromTagBatch(ctx, req.(*DeleteFromTagBatchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_DeleteTagBatch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteTagBatchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).DeleteTagBatch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_DeleteTagBatch_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).DeleteTagBatch(ctx, req.(*DeleteTagBatchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetTagBatchForUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTagBatchForUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetTagBatchForUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetTagBatchForUser_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetTagBatchForUser(ctx, req.(*GetTagBatchForUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_SubmitTagBatch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubmitTagBatchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).SubmitTagBatch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_SubmitTagBatch_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).SubmitTagBatch(ctx, req.(*SubmitTagBatchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetProductMarkdownDetails_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProductMarkdownDetailsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetProductMarkdownDetails(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetProductMarkdownDetails_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetProductMarkdownDetails(ctx, req.(*GetProductMarkdownDetailsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_RequestProductMarkdownFromProcurement_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestProductMarkdownFromProcurementRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).RequestProductMarkdownFromProcurement(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_RequestProductMarkdownFromProcurement_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).RequestProductMarkdownFromProcurement(ctx, req.(*RequestProductMarkdownFromProcurementRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_PrintMarkdownLabel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PrintMarkdownLabelRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).PrintMarkdownLabel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_PrintMarkdownLabel_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).PrintMarkdownLabel(ctx, req.(*PrintMarkdownLabelRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_PrintCurrentPriceLabel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PrintCurrentPriceLabelRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).PrintCurrentPriceLabel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_PrintCurrentPriceLabel_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).PrintCurrentPriceLabel(ctx, req.(*PrintCurrentPriceLabelRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSProductService_GetBulkStoreProductDetails_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBulkStoreProductDetailsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSProductServiceServer).GetBulkStoreProductDetails(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSProductService_GetBulkStoreProductDetails_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSProductServiceServer).GetBulkStoreProductDetails(ctx, req.(*GetBulkStoreProductDetailsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// IOSProductService_ServiceDesc is the grpc.ServiceDesc for IOSProductService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var IOSProductService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "phxservices.services.ios.v1.IOSProductService",
	HandlerType: (*IOSProductServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetProductMessaging",
			Handler:    _IOSProductService_GetProductMessaging_Handler,
		},
		{
			MethodName: "GetProductDetails",
			Handler:    _IOSProductService_GetProductDetails_Handler,
		},
		{
			MethodName: "GetStoreProductDetails",
			Handler:    _IOSProductService_GetStoreProductDetails_Handler,
		},
		{
			MethodName: "GetProductOrders",
			Handler:    _IOSProductService_GetProductOrders_Handler,
		},
		{
			MethodName: "GetProductSalesHistory",
			Handler:    _IOSProductService_GetProductSalesHistory_Handler,
		},
		{
			MethodName: "GetProductSalesForecast",
			Handler:    _IOSProductService_GetProductSalesForecast_Handler,
		},
		{
			MethodName: "GetProductSearchResults",
			Handler:    _IOSProductService_GetProductSearchResults_Handler,
		},
		{
			MethodName: "GetStoreName",
			Handler:    _IOSProductService_GetStoreName_Handler,
		},
		{
			MethodName: "GetStoreMap",
			Handler:    _IOSProductService_GetStoreMap_Handler,
		},
		{
			MethodName: "GetUpcData",
			Handler:    _IOSProductService_GetUpcData_Handler,
		},
		{
			MethodName: "GetUnitsOnHand",
			Handler:    _IOSProductService_GetUnitsOnHand_Handler,
		},
		{
			MethodName: "UpdateUnitsOnHand",
			Handler:    _IOSProductService_UpdateUnitsOnHand_Handler,
		},
		{
			MethodName: "ReportOrderingIssue",
			Handler:    _IOSProductService_ReportOrderingIssue_Handler,
		},
		{
			MethodName: "GetDeliveryListForDayRange",
			Handler:    _IOSProductService_GetDeliveryListForDayRange_Handler,
		},
		{
			MethodName: "GetActiveOrder",
			Handler:    _IOSProductService_GetActiveOrder_Handler,
		},
		{
			MethodName: "UpdateOrderQuantity",
			Handler:    _IOSProductService_UpdateOrderQuantity_Handler,
		},
		{
			MethodName: "AddProductToWalk",
			Handler:    _IOSProductService_AddProductToWalk_Handler,
		},
		{
			MethodName: "SetProductAsMSRWorked",
			Handler:    _IOSProductService_SetProductAsMSRWorked_Handler,
		},
		{
			MethodName: "GetWarehouseStatus",
			Handler:    _IOSProductService_GetWarehouseStatus_Handler,
		},
		{
			MethodName: "GetLikeItems",
			Handler:    _IOSProductService_GetLikeItems_Handler,
		},
		{
			MethodName: "GetNearbyStores",
			Handler:    _IOSProductService_GetNearbyStores_Handler,
		},
		{
			MethodName: "CreateTagBatchWithProduct",
			Handler:    _IOSProductService_CreateTagBatchWithProduct_Handler,
		},
		{
			MethodName: "CreateTagBatchWithProductByItemCode",
			Handler:    _IOSProductService_CreateTagBatchWithProductByItemCode_Handler,
		},
		{
			MethodName: "CreateTagBatchWithLocation",
			Handler:    _IOSProductService_CreateTagBatchWithLocation_Handler,
		},
		{
			MethodName: "AddProductToTagBatch",
			Handler:    _IOSProductService_AddProductToTagBatch_Handler,
		},
		{
			MethodName: "AddProductToTagBatchByItemCode",
			Handler:    _IOSProductService_AddProductToTagBatchByItemCode_Handler,
		},
		{
			MethodName: "AddLocationToTagBatch",
			Handler:    _IOSProductService_AddLocationToTagBatch_Handler,
		},
		{
			MethodName: "EditProductTag",
			Handler:    _IOSProductService_EditProductTag_Handler,
		},
		{
			MethodName: "DeleteFromTagBatch",
			Handler:    _IOSProductService_DeleteFromTagBatch_Handler,
		},
		{
			MethodName: "DeleteTagBatch",
			Handler:    _IOSProductService_DeleteTagBatch_Handler,
		},
		{
			MethodName: "GetTagBatchForUser",
			Handler:    _IOSProductService_GetTagBatchForUser_Handler,
		},
		{
			MethodName: "SubmitTagBatch",
			Handler:    _IOSProductService_SubmitTagBatch_Handler,
		},
		{
			MethodName: "GetProductMarkdownDetails",
			Handler:    _IOSProductService_GetProductMarkdownDetails_Handler,
		},
		{
			MethodName: "RequestProductMarkdownFromProcurement",
			Handler:    _IOSProductService_RequestProductMarkdownFromProcurement_Handler,
		},
		{
			MethodName: "PrintMarkdownLabel",
			Handler:    _IOSProductService_PrintMarkdownLabel_Handler,
		},
		{
			MethodName: "PrintCurrentPriceLabel",
			Handler:    _IOSProductService_PrintCurrentPriceLabel_Handler,
		},
		{
			MethodName: "GetBulkStoreProductDetails",
			Handler:    _IOSProductService_GetBulkStoreProductDetails_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "phxservices/services/ios/v1/ios_service.proto",
}

const (
	IOSKnownShrinkService_ShrinkProducts_FullMethodName                   = "/phxservices.services.ios.v1.IOSKnownShrinkService/ShrinkProducts"
	IOSKnownShrinkService_GetSubDepartmentsWithKnownShrink_FullMethodName = "/phxservices.services.ios.v1.IOSKnownShrinkService/GetSubDepartmentsWithKnownShrink"
	IOSKnownShrinkService_SendKnownShrinkReport_FullMethodName            = "/phxservices.services.ios.v1.IOSKnownShrinkService/SendKnownShrinkReport"
)

// IOSKnownShrinkServiceClient is the client API for IOSKnownShrinkService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type IOSKnownShrinkServiceClient interface {
	// Record known shrink of one or more products.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	// NotFound: The given product(s) could not be found.
	// FailedPrecondition: The given shrink reason is not permitted for the given product and store.
	ShrinkProducts(ctx context.Context, in *ShrinkProductsRequest, opts ...grpc.CallOption) (*ShrinkProductsResponse, error)
	// Get the list of sub departments which have executed known shrink today in a given store.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetSubDepartmentsWithKnownShrink(ctx context.Context, in *GetSubDepartmentsWithKnownShrinkRequest, opts ...grpc.CallOption) (*GetSubDepartmentsWithKnownShrinkResponse, error)
	// Send an email report of known shrink in a given store for a given list of departments, today.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	// NotFound: The given store+departments performed no shrink today.
	SendKnownShrinkReport(ctx context.Context, in *SendKnownShrinkReportRequest, opts ...grpc.CallOption) (*SendKnownShrinkReportResponse, error)
}

type iOSKnownShrinkServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewIOSKnownShrinkServiceClient(cc grpc.ClientConnInterface) IOSKnownShrinkServiceClient {
	return &iOSKnownShrinkServiceClient{cc}
}

func (c *iOSKnownShrinkServiceClient) ShrinkProducts(ctx context.Context, in *ShrinkProductsRequest, opts ...grpc.CallOption) (*ShrinkProductsResponse, error) {
	out := new(ShrinkProductsResponse)
	err := c.cc.Invoke(ctx, IOSKnownShrinkService_ShrinkProducts_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSKnownShrinkServiceClient) GetSubDepartmentsWithKnownShrink(ctx context.Context, in *GetSubDepartmentsWithKnownShrinkRequest, opts ...grpc.CallOption) (*GetSubDepartmentsWithKnownShrinkResponse, error) {
	out := new(GetSubDepartmentsWithKnownShrinkResponse)
	err := c.cc.Invoke(ctx, IOSKnownShrinkService_GetSubDepartmentsWithKnownShrink_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSKnownShrinkServiceClient) SendKnownShrinkReport(ctx context.Context, in *SendKnownShrinkReportRequest, opts ...grpc.CallOption) (*SendKnownShrinkReportResponse, error) {
	out := new(SendKnownShrinkReportResponse)
	err := c.cc.Invoke(ctx, IOSKnownShrinkService_SendKnownShrinkReport_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IOSKnownShrinkServiceServer is the server API for IOSKnownShrinkService service.
// All implementations must embed UnimplementedIOSKnownShrinkServiceServer
// for forward compatibility
type IOSKnownShrinkServiceServer interface {
	// Record known shrink of one or more products.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	// NotFound: The given product(s) could not be found.
	// FailedPrecondition: The given shrink reason is not permitted for the given product and store.
	ShrinkProducts(context.Context, *ShrinkProductsRequest) (*ShrinkProductsResponse, error)
	// Get the list of sub departments which have executed known shrink today in a given store.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	GetSubDepartmentsWithKnownShrink(context.Context, *GetSubDepartmentsWithKnownShrinkRequest) (*GetSubDepartmentsWithKnownShrinkResponse, error)
	// Send an email report of known shrink in a given store for a given list of departments, today.
	//
	// Error Response Code:
	// NotFound: The given store could not be found.
	// NotFound: The given store+departments performed no shrink today.
	SendKnownShrinkReport(context.Context, *SendKnownShrinkReportRequest) (*SendKnownShrinkReportResponse, error)
	mustEmbedUnimplementedIOSKnownShrinkServiceServer()
}

// UnimplementedIOSKnownShrinkServiceServer must be embedded to have forward compatible implementations.
type UnimplementedIOSKnownShrinkServiceServer struct {
}

func (UnimplementedIOSKnownShrinkServiceServer) ShrinkProducts(context.Context, *ShrinkProductsRequest) (*ShrinkProductsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ShrinkProducts not implemented")
}
func (UnimplementedIOSKnownShrinkServiceServer) GetSubDepartmentsWithKnownShrink(context.Context, *GetSubDepartmentsWithKnownShrinkRequest) (*GetSubDepartmentsWithKnownShrinkResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSubDepartmentsWithKnownShrink not implemented")
}
func (UnimplementedIOSKnownShrinkServiceServer) SendKnownShrinkReport(context.Context, *SendKnownShrinkReportRequest) (*SendKnownShrinkReportResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendKnownShrinkReport not implemented")
}
func (UnimplementedIOSKnownShrinkServiceServer) mustEmbedUnimplementedIOSKnownShrinkServiceServer() {}

// UnsafeIOSKnownShrinkServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to IOSKnownShrinkServiceServer will
// result in compilation errors.
type UnsafeIOSKnownShrinkServiceServer interface {
	mustEmbedUnimplementedIOSKnownShrinkServiceServer()
}

func RegisterIOSKnownShrinkServiceServer(s grpc.ServiceRegistrar, srv IOSKnownShrinkServiceServer) {
	s.RegisterService(&IOSKnownShrinkService_ServiceDesc, srv)
}

func _IOSKnownShrinkService_ShrinkProducts_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ShrinkProductsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSKnownShrinkServiceServer).ShrinkProducts(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSKnownShrinkService_ShrinkProducts_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSKnownShrinkServiceServer).ShrinkProducts(ctx, req.(*ShrinkProductsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSKnownShrinkService_GetSubDepartmentsWithKnownShrink_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSubDepartmentsWithKnownShrinkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSKnownShrinkServiceServer).GetSubDepartmentsWithKnownShrink(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSKnownShrinkService_GetSubDepartmentsWithKnownShrink_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSKnownShrinkServiceServer).GetSubDepartmentsWithKnownShrink(ctx, req.(*GetSubDepartmentsWithKnownShrinkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSKnownShrinkService_SendKnownShrinkReport_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendKnownShrinkReportRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSKnownShrinkServiceServer).SendKnownShrinkReport(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSKnownShrinkService_SendKnownShrinkReport_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSKnownShrinkServiceServer).SendKnownShrinkReport(ctx, req.(*SendKnownShrinkReportRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// IOSKnownShrinkService_ServiceDesc is the grpc.ServiceDesc for IOSKnownShrinkService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var IOSKnownShrinkService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "phxservices.services.ios.v1.IOSKnownShrinkService",
	HandlerType: (*IOSKnownShrinkServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ShrinkProducts",
			Handler:    _IOSKnownShrinkService_ShrinkProducts_Handler,
		},
		{
			MethodName: "GetSubDepartmentsWithKnownShrink",
			Handler:    _IOSKnownShrinkService_GetSubDepartmentsWithKnownShrink_Handler,
		},
		{
			MethodName: "SendKnownShrinkReport",
			Handler:    _IOSKnownShrinkService_SendKnownShrinkReport_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "phxservices/services/ios/v1/ios_service.proto",
}

const (
	IOSPartnerActionLogService_GetSelectablePartnerActionTypes_FullMethodName = "/phxservices.services.ios.v1.IOSPartnerActionLogService/GetSelectablePartnerActionTypes"
	IOSPartnerActionLogService_SendPartnerActionReport_FullMethodName         = "/phxservices.services.ios.v1.IOSPartnerActionLogService/SendPartnerActionReport"
)

// IOSPartnerActionLogServiceClient is the client API for IOSPartnerActionLogService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type IOSPartnerActionLogServiceClient interface {
	// Request to discern which action types are enabled or disabled for selection on the screen.
	// IOS prefix since this is a passthrough RPC.
	GetSelectablePartnerActionTypes(ctx context.Context, in *GetSelectablePartnerActionTypesRequest, opts ...grpc.CallOption) (*GetSelectablePartnerActionTypesResponse, error)
	// Request to generate a report with gathered actions and email it to the requesting partner.
	SendPartnerActionReport(ctx context.Context, in *SendPartnerActionReportRequest, opts ...grpc.CallOption) (*SendPartnerActionReportResponse, error)
}

type iOSPartnerActionLogServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewIOSPartnerActionLogServiceClient(cc grpc.ClientConnInterface) IOSPartnerActionLogServiceClient {
	return &iOSPartnerActionLogServiceClient{cc}
}

func (c *iOSPartnerActionLogServiceClient) GetSelectablePartnerActionTypes(ctx context.Context, in *GetSelectablePartnerActionTypesRequest, opts ...grpc.CallOption) (*GetSelectablePartnerActionTypesResponse, error) {
	out := new(GetSelectablePartnerActionTypesResponse)
	err := c.cc.Invoke(ctx, IOSPartnerActionLogService_GetSelectablePartnerActionTypes_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iOSPartnerActionLogServiceClient) SendPartnerActionReport(ctx context.Context, in *SendPartnerActionReportRequest, opts ...grpc.CallOption) (*SendPartnerActionReportResponse, error) {
	out := new(SendPartnerActionReportResponse)
	err := c.cc.Invoke(ctx, IOSPartnerActionLogService_SendPartnerActionReport_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IOSPartnerActionLogServiceServer is the server API for IOSPartnerActionLogService service.
// All implementations must embed UnimplementedIOSPartnerActionLogServiceServer
// for forward compatibility
type IOSPartnerActionLogServiceServer interface {
	// Request to discern which action types are enabled or disabled for selection on the screen.
	// IOS prefix since this is a passthrough RPC.
	GetSelectablePartnerActionTypes(context.Context, *GetSelectablePartnerActionTypesRequest) (*GetSelectablePartnerActionTypesResponse, error)
	// Request to generate a report with gathered actions and email it to the requesting partner.
	SendPartnerActionReport(context.Context, *SendPartnerActionReportRequest) (*SendPartnerActionReportResponse, error)
	mustEmbedUnimplementedIOSPartnerActionLogServiceServer()
}

// UnimplementedIOSPartnerActionLogServiceServer must be embedded to have forward compatible implementations.
type UnimplementedIOSPartnerActionLogServiceServer struct {
}

func (UnimplementedIOSPartnerActionLogServiceServer) GetSelectablePartnerActionTypes(context.Context, *GetSelectablePartnerActionTypesRequest) (*GetSelectablePartnerActionTypesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSelectablePartnerActionTypes not implemented")
}
func (UnimplementedIOSPartnerActionLogServiceServer) SendPartnerActionReport(context.Context, *SendPartnerActionReportRequest) (*SendPartnerActionReportResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendPartnerActionReport not implemented")
}
func (UnimplementedIOSPartnerActionLogServiceServer) mustEmbedUnimplementedIOSPartnerActionLogServiceServer() {
}

// UnsafeIOSPartnerActionLogServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to IOSPartnerActionLogServiceServer will
// result in compilation errors.
type UnsafeIOSPartnerActionLogServiceServer interface {
	mustEmbedUnimplementedIOSPartnerActionLogServiceServer()
}

func RegisterIOSPartnerActionLogServiceServer(s grpc.ServiceRegistrar, srv IOSPartnerActionLogServiceServer) {
	s.RegisterService(&IOSPartnerActionLogService_ServiceDesc, srv)
}

func _IOSPartnerActionLogService_GetSelectablePartnerActionTypes_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSelectablePartnerActionTypesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSPartnerActionLogServiceServer).GetSelectablePartnerActionTypes(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSPartnerActionLogService_GetSelectablePartnerActionTypes_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSPartnerActionLogServiceServer).GetSelectablePartnerActionTypes(ctx, req.(*GetSelectablePartnerActionTypesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IOSPartnerActionLogService_SendPartnerActionReport_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendPartnerActionReportRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IOSPartnerActionLogServiceServer).SendPartnerActionReport(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: IOSPartnerActionLogService_SendPartnerActionReport_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IOSPartnerActionLogServiceServer).SendPartnerActionReport(ctx, req.(*SendPartnerActionReportRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// IOSPartnerActionLogService_ServiceDesc is the grpc.ServiceDesc for IOSPartnerActionLogService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var IOSPartnerActionLogService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "phxservices.services.ios.v1.IOSPartnerActionLogService",
	HandlerType: (*IOSPartnerActionLogServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetSelectablePartnerActionTypes",
			Handler:    _IOSPartnerActionLogService_GetSelectablePartnerActionTypes_Handler,
		},
		{
			MethodName: "SendPartnerActionReport",
			Handler:    _IOSPartnerActionLogService_SendPartnerActionReport_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "phxservices/services/ios/v1/ios_service.proto",
}
